Subject: Protocol Action: 'MPLS Egress Protection Framework' to Proposed Standard (draft-ietf-mpls-egress-protection-framework-07.txt)

From: The IESG <[email-masked]>
Date: Thu, 01 Aug 2019 14:44:31 -0700

The IESG has approved the following document:
- 'MPLS Egress Protection Framework'
  (draft-ietf-mpls-egress-protection-framework-07.txt) as Proposed Standard

This document is the product of the Multiprotocol Label Switching Working
Group.

The IESG contact persons are Alvaro Retana, Martin Vigoureux and Deborah
Brungard.

A URL of this Internet Draft is:
https://datatracker.ietf.org/doc/draft-ietf-mpls-egress-protection-framework/

Technical Summary

This document specifies a fast reroute framework for protecting IP/
MPLS services and MPLS transport tunnels against egress node and
egress link failures.  For each type of egress failure, it defines
the roles of point of local repair (PLR), protector, and backup
egress router, and the procedures of establishing a bypass tunnel
from a PLR to a protector.  It describes the behaviors of these
routers in handling an egress failure, including local repair on the
PLR, and context based forwarding on the protector.  The framework
can be used to develop egress protection mechanisms to reduce traffic
loss before global repair reacts to an egress failure and control
plane protocols converge on the topology changes due to the egress
failure.

Working Group Summary

 This document is the convergence of several initiatives in the IETF
 and in the industry in general. The working group and more
 specifically the authors have invested a huge effort to converge on
 a single solution.

Document Quality

Aware of both implementations and deployments, as informed
by one major European vendor. We have in addition started an
Implementation Poll and the write-up will be updated as soon
as more information is available.

Personnel

   Who is the Document Shepherd for this document?  Loa Andersson
   Who is the Responsible Area Director? Deborah Brungard